diff -ru -x '*.p' -x '*.orig' ../wxaui-0.9.2.test/src/manager.cpp ./src/manager.cpp
--- ../wxaui-0.9.2.test/src/manager.cpp	2006-04-19 20:30:42.000000000 +0100
+++ ./src/manager.cpp	2006-04-19 20:31:52.000000000 +0100
@@ -14,6 +14,19 @@
 #include <wx/image.h>
 #include "manager.h"
 
+#define WXAUI_USE_WXGETMOUSESTATE 0
+#define HAVE_WXGETMOUSESTATE
+
+#ifdef WXAUI_USE_WXGETMOUSESTATE
+#ifndef HAVE_WXGETMOUSESTATE
+// We want to use WXGETMOUSESTATE but we haven't got it in the wx library - presume there is an include file
+#include "wxmousestate.h"
+#endif // HAVE_WXGETMOUSESTATE
+#else
+#ifdef __WXGTK__
+extern "C" { void* gdk_window_get_pointer(void*, int*, int*, unsigned int*); }
+#endif // __WXGTK__
+#endif // WXAUI_USE_WXGETMOUSESTATE
 
 // -- various array and event implementations --
 
@@ -564,10 +577,6 @@
 #define wxFloatingPaneBaseClass wxFrame
 #endif
 
-#ifdef __WXGTK__
-extern "C" { void* gdk_window_get_pointer(void*, int*, int*, unsigned int*); }
-#endif
-
 class wxFloatingPane : public wxFloatingPaneBaseClass
 {
 public:
@@ -738,6 +747,9 @@
     // functionality to wxWidgets itself)
     static bool isMouseDown()
     {
+#ifdef WXAUI_USE_WXGETMOUSESTATE
+        return wxGetMouseState().LeftDown();
+#else
         #ifdef __WXMSW__
         return (GetKeyState( VK_LBUTTON ) & (1<<15)) ? true : false;
         #endif
@@ -751,8 +763,9 @@
         #endif
         
         #ifdef __WXMAC__
-        return GetCurrentEventButtonState() & 0x01 ;
+        return GetCurrentButtonState() & 0x01 ;
         #endif
+#endif
     }
 
 private:
